# ios_lacp – Manage Global Link Aggregation Control Protocol (LACP) on Cisco IOS devices

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of Global LACP on Cisco IOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config dictionary |  | The provided configurations.
| system dictionary |  | This option sets the default system parameters for LACP.
|  | priority integer / required |  | LACP priority for the system. Refer to vendor documentation for valid values.

state
string

Choices:
- merged ←
- replaced
- deleted

The state of the configuration after module completion

## Notes

Note

- Tested against Cisco IOSv Version 15.2 on VIRL

- This module works with connection `network_cli`, See IOS Platform Options.

## Examples

    # Using merged
    #
    # Before state:
    # -------------
    #
    # vios#show lacp sys-id
    # 32768, 5e00.0000.8000

    - name: Merge provided configuration with device configuration
      ios_lacp:
        config:
          system:
            priority: 123
        state: merged

    # After state:
    # ------------
    #
    # vios#show lacp sys-id
    # 123, 5e00.0000.8000

    # Using replaced
    #
    # Before state:
    # -------------
    #
    # vios#show lacp sys-id
    # 500, 5e00.0000.8000

    - name: Replaces Global LACP configuration
      ios_lacp:
        config:
          system:
            priority: 123
        state: replaced

    # After state:
    # ------------
    #
    # vios#show lacp sys-id
    # 123, 5e00.0000.8000

    # Using Deleted
    #
    # Before state:
    # -------------
    #
    # vios#show lacp sys-id
    # 500, 5e00.0000.8000

    - name: Delete Global LACP attribute
      ios_lacp:
        state: deleted

    # After state:
    # -------------
    #
    # vios#show lacp sys-id
    # 32768, 5e00.0000.8000

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after list | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before list | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['lacp system-priority 10']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Sumit Jaiswal (@justjais)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.